%global         pypi_name       emcee

Name:           python-emcee
Version:        3.1.3
Release:        %mkrel 1
Group:          Sciences/Mathematics
Summary:        A Python ensemble sampling toolkit for affine-invariant MCMC
Url:            http://dan.iel.fm/emcee/current/
License:        MIT
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Emcee is a stable, well tested Python implementation of the
affine-invariant ensemble sampler for Markov chain Monte Carlo (MCMC)
proposed by Goodman & Weare (2010). The code is open source and has
already been used in several published projects in the Astrophysics
literature.

%package -n python3-emcee
Summary:        Python3 implementation of Emcee
Group:          Sciences/Mathematics
BuildRequires: pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(numpy)
Requires:       python3dist(numpy)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-emcee
Emcee is a stable, well tested Python implementation of the
affine-invariant ensemble sampler for Markov chain Monte Carlo (MCMC)
proposed by Goodman & Weare (2010). The code is open source and has
already been used in several published projects in the Astrophysics
literature.

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files emcee

%files -n python3-emcee -f %{pyproject_files}
%doc README.rst LICENSE



%changelog
* Sat Oct 22 2022 ghibo <ghibo> 3.1.3-1.mga9
+ Revision: 1898348
- Update to release 3.1.3

* Wed Sep 07 2022 neoclust <neoclust> 3.1.2-1.mga9
+ Revision: 1884700
- New version  3.1.2

* Tue Mar 29 2022 umeabot <umeabot> 3.1.1-3.mga9
+ Revision: 1831972
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 3.1.1-2.mga9
+ Revision: 1785006
- rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 3.1.1-1.mga9
+ Revision: 1743221
- new version 3.1.1

* Sat Jun 26 2021 wally <wally> 3.0.2-2.mga9
+ Revision: 1732951
- Rebuild for python 3.9

* Thu Sep 17 2020 guillomovitch <guillomovitch> 3.0.2-1.mga8
+ Revision: 1627794
- new version 3.0.2

* Sun Feb 16 2020 umeabot <umeabot> 2.2.1-7.mga8
+ Revision: 1535556
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 2.2.1-6.mga8
+ Revision: 1452175
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 2.2.1-5.mga7
+ Revision: 1352640
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.2.1-4.mga7
+ Revision: 1288794
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use {py3dir}

* Tue Mar 20 2018 kekepower <kekepower> 2.2.1-3.mga7
+ Revision: 1210805
- Renamed python-emcee to python2-emcee

* Sat Aug 05 2017 pterjan <pterjan> 2.2.1-2.mga7
+ Revision: 1135411
- Rebuild for python 3.6

* Fri Dec 16 2016 eatdirt <eatdirt> 2.2.1-1.mga6
+ Revision: 1075636
- Upgrading to latest version 2.2.1 + adding python3 support
- Unobsoleting python-emcee
+ joequant <joequant>
- not used

* Sat Feb 06 2016 umeabot <umeabot> 1.2.0-8.mga6
+ Revision: 940932
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-7.mga5
+ Revision: 740050
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-6.mga5
+ Revision: 728388
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 688017
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2.0-3.mga4
+ Revision: 543252
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.0-2.mga4
+ Revision: 498541
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 joequant <joequant> 1.2.0-1.mga4
+ Revision: 463069
- imported package python-emcee

